Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.math.ntru.parameters
Class NTRUHPSParameterSet

    java.lang.Object
      org.bouncycastle.pqc.math.ntru.parameters.NTRUParameterSet
          org.bouncycastle.pqc.math.ntru.parameters.NTRUHPSParameterSet

Direct Known Subclasses:
  NTRUHPS2048509, NTRUHPS2048677, NTRUHPS40961229, NTRUHPS4096821

public abstract class NTRUHPSParameterSet
extends NTRUParameterSet

Abstract class for NTRU-HPS parameter classes.

The naming convention for the classes is . e.g. `NTRUHPS2048509` has n = 509 and q = 2048.

See Also:
  `NTRUHPS2048509`, `NTRUHPS2048677`, `NTRUHPS4096821`, NTRU specification document section 1.3.2

Method Summary
`Polynomial` | `createPolynomial()` Creates a polynomial based on this parameter set.
`int` | `sampleFgBytes()`
`int` | `sampleRmBytes()`
`int` | `weight()`

Methods inherited from class org.bouncycastle.pqc.math.ntru.parameters.NTRUParameterSet
`logQ, n, ntruCiphertextBytes, ntruPublicKeyBytes, ntruSecretKeyBytes, owcpaBytes, owcpaMsgBytes, owcpaPublicKeyBytes, owcpaSecretKeyBytes, packDegree, packTrinaryBytes, prfKeyBytes, q, sampleFixedTypeBytes, sampleIidBytes, seedBytes, sharedKeyBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createPolynomial

    public Polynomial createPolynomial()

  Description copied from class: `NTRUParameterSet`
  Creates a polynomial based on this parameter set.

  Specified by:
    `createPolynomial` in class `NTRUParameterSet`
  Returns:
    an instance of `Polynomial`

### sampleFgBytes

    public int sampleFgBytes()

  Specified by:
    `sampleFgBytes` in class `NTRUParameterSet`
  Returns:

### sampleRmBytes

    public int sampleRmBytes()

  Specified by:
    `sampleRmBytes` in class `NTRUParameterSet`
  Returns:

### weight

    public int weight()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD